# Uses of Class
org.eclipse.swt.graphics.ImageData

Packages that use ImageData
Package
Description
org.eclipse.jface.resource
Provides support for managing resources such as SWT fonts and images.
org.eclipse.swt.graphics
SWT graphics classes.
org.eclipse.swt.program
SWT Program support class.

## Uses of ImageData in org.eclipse.jface.resource

Fields in org.eclipse.jface.resource declared as ImageData
Modifier and Type
Field
Description
`protected static final ImageData`
ImageDescriptor.`DEFAULT_IMAGE_DATA`
A small red square used to warn that an image cannot be created.
Methods in org.eclipse.jface.resource that return ImageData
Modifier and Type
Method
Description
`ImageData`
CompositeImageDescriptor.`getImageData()`
Deprecated.
Use `CompositeImageDescriptor.getImageData(int)` instead.
`ImageData`
CompositeImageDescriptor.`getImageData(int zoom)`
`ImageData`
ImageDescriptor.`getImageData()`
Deprecated.
Use `ImageDescriptor.getImageData(int)` instead.
`ImageData`
ImageDescriptor.`getImageData(int zoom)`
Creates and returns a new SWT `ImageData` object for this image descriptor.
Methods in org.eclipse.jface.resource with parameters of type ImageData
Modifier and Type
Method
Description
`static ImageDescriptor`
ImageDescriptor.`createFromImageData(ImageData data)`
Deprecated.
use `ImageDescriptor.createFromImageDataProvider(ImageDataProvider)`
`protected final void`
CompositeImageDescriptor.`drawImage(ImageData src, int ox, int oy)`
Deprecated.
Use `CompositeImageDescriptor.drawImage(ImageDataProvider, int, int)` instead.
`protected void`
CompositeImageDescriptor.`setImageData(ImageData imageData)`
Deprecated.
This method doesn't make sense and should never have been made API.
Method parameters in org.eclipse.jface.resource with type arguments of type ImageData
Modifier and Type
Method
Description
`int`
CompositeImageDescriptor.CachedImageDataProvider.`computeInPoints(ToIntFunction<ImageData> function)`
Returns a computed value in SWT logical points.

## Uses of ImageData in org.eclipse.swt.graphics

Fields in org.eclipse.swt.graphics declared as ImageData
Modifier and Type
Field
Description
`ImageData[]`
ImageLoader.`data`
the array of ImageData objects in this ImageLoader.
`ImageData`
ImageLoaderEvent.`imageData`
if the `endOfImage` flag is false, then this is a partially complete copy of the current `ImageData`, otherwise this is a completely loaded `ImageData`
Methods in org.eclipse.swt.graphics that return ImageData
Modifier and Type
Method
Description
`ImageData`
Image.`getImageData()`
Returns an `ImageData` based on the receiver.
`ImageData`
Image.`getImageData(int zoom)`
Returns an `ImageData` for the given zoom level based on the receiver.
`ImageData`
ImageDataProvider.`getImageData(int zoom)`
Returns the image data for the given zoom level.
`ImageData`
Image.`getImageDataAtCurrentZoom()`
Deprecated.
This API doesn't serve the purpose in an environment having multiple monitors with different DPIs, hence deprecated.
`ImageData`
ImageData.`getTransparencyMask()`
Returns an `ImageData` which specifies the transparency mask information for the receiver.
`static ImageData`
ImageData.`internal_new(int width, int height, int depth, PaletteData palette, int scanlinePad, byte[] data, int maskPad, byte[] maskData, byte[] alphaData, int alpha, int transparentPixel, int type, int x, int y, int disposalMethod, int delayTime)`
Invokes internal SWT functionality to create a new instance of this class.
`ImageData[]`
ImageLoader.`load(InputStream stream)`
Loads an array of `ImageData` objects from the specified input stream.
`ImageData[]`
ImageLoader.`load(String filename)`
Loads an array of `ImageData` objects from the file with the specified name.
`ImageData`
ImageData.`scaledTo(int width, int height)`
Returns a copy of the receiver which has been stretched or shrunk to the specified size.
Constructors in org.eclipse.swt.graphics with parameters of type ImageData
Modifier
Constructor
Description
``
`Cursor(Device device, ImageData source, int hotspotX, int hotspotY)`
Constructs a new cursor given a device, image data describing the desired cursor appearance, and the x and y coordinates of the hotspot (that is, the point within the area covered by the cursor which is considered to be where the on-screen pointer is "pointing").
``
`Cursor(Device device, ImageData source, ImageData mask, int hotspotX, int hotspotY)`
Constructs a new cursor given a device, image and mask data describing the desired cursor appearance, and the x and y coordinates of the hotspot (that is, the point within the area covered by the cursor which is considered to be where the on-screen pointer is "pointing").
``
`Image(Device device, ImageData data)`
Constructs an instance of this class from the given `ImageData`.
``
`Image(Device device, ImageData source, ImageData mask)`
Constructs an instance of this class, whose type is `SWT.ICON`, from the two given `ImageData` objects.
``
`ImageLoaderEvent(ImageLoader source, ImageData imageData, int incrementCount, boolean endOfImage)`
Constructs a new instance of this class given the event source and the values to store in its fields.

## Uses of ImageData in org.eclipse.swt.program

Methods in org.eclipse.swt.program that return ImageData
Modifier and Type
Method
Description
`ImageData`
Program.`getImageData()`
Returns the receiver's image data.